# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sensu-settings"
  s.version = "10.9.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sean Porter"]
  s.date = "2017-09-27"
  s.description = "The Sensu settings library, loader and validator"
  s.email = ["portertech@gmail.com"]
  s.files = ["LICENSE.txt", "README.md", "lib/sensu/settings.rb", "lib/sensu/settings/constants.rb", "lib/sensu/settings/loader.rb", "lib/sensu/settings/rules.rb", "lib/sensu/settings/validator.rb", "lib/sensu/settings/validators.rb", "lib/sensu/settings/validators/api.rb", "lib/sensu/settings/validators/check.rb", "lib/sensu/settings/validators/client.rb", "lib/sensu/settings/validators/extension.rb", "lib/sensu/settings/validators/filter.rb", "lib/sensu/settings/validators/handler.rb", "lib/sensu/settings/validators/mutator.rb", "lib/sensu/settings/validators/sensu.rb", "lib/sensu/settings/validators/time_window.rb", "lib/sensu/settings/validators/transport.rb", "sensu-settings.gemspec"]
  s.homepage = "https://github.com/sensu/sensu-settings"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14.1"
  s.summary = "The Sensu settings library, loader and validator"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<sensu-json>, [">= 1.1.0"])
      s.add_runtime_dependency(%q<parse-cron>, [">= 0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.6"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
    else
      s.add_dependency(%q<sensu-json>, [">= 1.1.0"])
      s.add_dependency(%q<parse-cron>, [">= 0"])
      s.add_dependency(%q<bundler>, ["~> 1.6"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
    end
  else
    s.add_dependency(%q<sensu-json>, [">= 1.1.0"])
    s.add_dependency(%q<parse-cron>, [">= 0"])
    s.add_dependency(%q<bundler>, ["~> 1.6"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
  end
end

